from charmhelpers.core import hookenv
from charmhelpers.core.services import helpers


class RutabagaApiRelation(helpers.RelationContext):
    name = 'rutabaga-api'
    interface = 'rutabaga-http'

    def provide_data(self):
        config = hookenv.config()
        data = {
            'rutabaga_api_host': hookenv.unit_private_ip(),
            'rutabaga_api_port': config['port_api'],
        }
        return data
