# Overview
This charm provides the [Rutabaga](https://launchpad.net/rutabaga) service for creating and revoking time limited authentication tokens in Squid.

# Usage

1. Fetch rutabaga src tarball (where `sha1` is the git commit sha1):

    $ COMMIT=sha1 make tarball

2. Deploy

    $ COMMIT=sha1 make deploy
    $ juju deploy --repository=/home/$USER/src/charms/ local:trusty/gunicorn
    $ juju add-relation rutabaga gunicorn

The deploy target will create a fresh python package cache in files/pip-cache and sets the rutabaga config variable 'revision' to that specified by COMMIT.

# Configuration

## Git Revision
Set a git commit to deploy with:

    $ juju set rutabaga revision=sha1
    
# Contact Information

Kit Randel <kit.randel@canonical.com>
https://launchpad.net/~blr
